# 
# Synthesis run script generated by Vivado
# 

set_msg_config -id {HDL 9-1061} -limit 100000
set_msg_config -id {HDL 9-1654} -limit 100000
create_project -in_memory -part xc7z010clg400-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_property webtalk.parent_dir /home/erik/marlin_zynq/marlin_zynq.tmp/STEPPER_PULSER_v1_0_project/STEPPER_PULSER_v1_0_project.cache/wt [current_project]
set_property parent.project_path /home/erik/marlin_zynq/marlin_zynq.tmp/STEPPER_PULSER_v1_0_project/STEPPER_PULSER_v1_0_project.xpr [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language VHDL [current_project]
set_property ip_repo_paths {
  /home/erik/ip_repo/myip_1.0
  /home/erik/ip_repo/STEPPER_PULSER_1.0
  /home/erik/marlin_zynq/vivado-library
} [current_project]
read_vhdl -library xil_defaultlib {
  /home/erik/ip_repo/STEPPER_PULSER_1.0/hdl/STEPPER_PULSER_v1_0_S00_AXI.vhd
  /home/erik/ip_repo/STEPPER_PULSER_1.0/hdl/STEPPER_PULSER_v1_0.vhd
}
foreach dcp [get_files -quiet -all *.dcp] {
  set_property used_in_implementation false $dcp
}

synth_design -top STEPPER_PULSER_v1_0 -part xc7z010clg400-1


write_checkpoint -force -noxdef STEPPER_PULSER_v1_0.dcp

catch { report_utilization -file STEPPER_PULSER_v1_0_utilization_synth.rpt -pb STEPPER_PULSER_v1_0_utilization_synth.pb }
